DefaultHttpResponseParser (Apache HttpClient 4.5.13 API)
Date: 2020-10-03

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.http.impl.conn
Class DefaultHttpResponseParser

    java.lang.Object
      org.apache.http.impl.io.AbstractMessageParser<org.apache.http.HttpResponse>
          org.apache.http.impl.conn.DefaultHttpResponseParser

All Implemented Interfaces:
  org.apache.http.io.HttpMessageParser<org.apache.http.HttpResponse>

    public class DefaultHttpResponseParser

extends org.apache.http.impl.io.AbstractMessageParser<org.apache.http.HttpResponse>

Lenient HTTP response parser implementation that can skip malformed data until a valid HTTP response message head is encountered.

Since:
  4.2

Field Summary

Fields inherited from class org.apache.http.impl.io.AbstractMessageParser
`lineParser`

Constructor Summary
`DefaultHttpResponseParser(org.apache.http.io.SessionInputBuffer buffer)` Creates new instance of DefaultHttpResponseParser.
`DefaultHttpResponseParser(org.apache.http.io.SessionInputBuffer buffer, org.apache.http.message.LineParser parser, org.apache.http.HttpResponseFactory responseFactory, org.apache.http.params.HttpParams params)` Deprecated. (4.3) use `DefaultHttpResponseParser( SessionInputBuffer, LineParser, HttpResponseFactory, MessageConstraints)`
`DefaultHttpResponseParser(org.apache.http.io.SessionInputBuffer buffer, org.apache.http.message.LineParser lineParser, org.apache.http.HttpResponseFactory responseFactory, org.apache.http.config.MessageConstraints constraints)` Creates new instance of DefaultHttpResponseParser.
`DefaultHttpResponseParser(org.apache.http.io.SessionInputBuffer buffer, org.apache.http.config.MessageConstraints constraints)` Creates new instance of DefaultHttpResponseParser.

Method Summary
`protected org.apache.http.HttpResponse` | `parseHead(org.apache.http.io.SessionInputBuffer sessionBuffer)`
`protected boolean` | `reject(org.apache.http.util.CharArrayBuffer line, int count)`

Methods inherited from class org.apache.http.impl.io.AbstractMessageParser
`parse, parseHeaders, parseHeaders`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultHttpResponseParser

    @Deprecated
    public DefaultHttpResponseParser(org.apache.http.io.SessionInputBuffer buffer,
                                                org.apache.http.message.LineParser parser,
                                                org.apache.http.HttpResponseFactory responseFactory,
                                                org.apache.http.params.HttpParams params)

  Deprecated. (4.3) use `DefaultHttpResponseParser( SessionInputBuffer, LineParser, HttpResponseFactory, MessageConstraints)`

### DefaultHttpResponseParser

    public DefaultHttpResponseParser(org.apache.http.io.SessionInputBuffer buffer,
                                     org.apache.http.message.LineParser lineParser,
                                     org.apache.http.HttpResponseFactory responseFactory,
                                     org.apache.http.config.MessageConstraints constraints)

  Creates new instance of DefaultHttpResponseParser.

  Parameters:
    `buffer` - the session input buffer.
    `lineParser` - the line parser. If `null` `BasicLineParser.INSTANCE` will be used.
    `responseFactory` - HTTP response factory. If `null` `DefaultHttpResponseFactory.INSTANCE` will be used.
    `constraints` - the message constraints. If `null` `MessageConstraints.DEFAULT` will be used.
  Since:
    4.3

### DefaultHttpResponseParser

    public DefaultHttpResponseParser(org.apache.http.io.SessionInputBuffer buffer,
                                     org.apache.http.config.MessageConstraints constraints)

  Creates new instance of DefaultHttpResponseParser.

  Parameters:
    `buffer` - the session input buffer.
    `constraints` - the message constraints. If `null` `MessageConstraints.DEFAULT` will be used.
  Since:
    4.3

### DefaultHttpResponseParser

    public DefaultHttpResponseParser(org.apache.http.io.SessionInputBuffer buffer)

  Creates new instance of DefaultHttpResponseParser.

  Parameters:
    `buffer` - the session input buffer.
  Since:
    4.3

Method Detail

### parseHead

    protected org.apache.http.HttpResponse parseHead(org.apache.http.io.SessionInputBuffer sessionBuffer)
                                              throws IOException,
                                                     org.apache.http.HttpException

  Specified by:
    `parseHead` in class `org.apache.http.impl.io.AbstractMessageParser<org.apache.http.HttpResponse>`
  Throws:
    `IOException`
    `org.apache.http.HttpException`

### reject

    protected boolean reject(org.apache.http.util.CharArrayBuffer line,
                             int count)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999–2020 The Apache Software Foundation. All rights reserved.